---
page_source: https://docs.juspay.io/payout-brazil/docs/integration/beneficiary-creation
page_title: Beneficiary Creation
---

## API Version: default


# Beneficiary Creation



Merchant can create beneficiary account using this API## Endpoints:
- Sandbox: https://api.sandbox.juspay.io/payout/merchant/v2/benedetails

- Production: https://api.juspay.io/payout/merchant/v2/benedetails

## Request Type: 
POST

## Authorization:

#### Basic Auth:
Consists of two parts.

* Username: API Key obtained from Juspay dashboard
* Password: Empty string

Example:- Basic MUQ2QUxxxxxxxxxxxxU5QTIxQzNFNTQwNkFDMEZCOg==
- Tags: String, Required
## Headers:

#### x-merchantid:
Please pass merchant id provided by Juspay
- Tags: string

#### Content-Type:
application/json
- Tags: String, Mandatory
## Sample Code Snippets:
### Sample Request:

#### Wallet Code Snippet:

```wallet
curl --location 'https://api.juspay.io/payout/merchant/v2/benedetails' \
--header 'Content-Type: application/json' \
--header 'x-merchantId: <merchant-id>' \
--header 'Authorization: Basic (b64 encoded API key)' \
--data-raw '{
    "beneId":"paypalId1",
    "beneDetails" : {
                "details": {
                    "walletIdentifier" : "FSMRBANCV8PSG",
                    "brand" : "PAYPAL",
                    "walletIdentifierType" : "PAYPAL_ID",
                    "payeeAdditionalDetails" : {
                        "email" : "sb-monlv33113056@business.example.com",
                        "name" : "sample User",
                        "country" : "Brazil",
                        "state" : "XYZ",
                        "accountVerificationStatus" : "true",
                        "payerId" : "FSMRBANCV8PSG"
                    }
                },
                "type": "WALLET"
            },
    "command" : "CREATE",
    "customerId" : "sampleuser",
    "email": "sampleuser@gmail.com",
    "phone": "8851480046"
}'

```

### Sample Response:

#### Wallet:
```json
{
    "updatedAt": "2024-12-23T08:30:52Z",
    "uniqueId": "paypalId1",
    "status": "CREATED",
    "createdAt": "2024-12-23T08:30:52Z",
    "beneDetails": {
        "details": {
            "walletIdentifierType": "PAYPAL_ID",
            "walletIdentifier": "FSMRXXXXX8PSG",
            "payeeAdditionalDetails": {
                "state": "XYZ",
                "payerId": "FSMRBANCV8PSG",
                "name": "samXXXXXser",
                "email": "sb-mXXXXXXXXXXXXXXXXXXXXXXXXXXXXX.com",
                "country": "Brazil",
                "accountVerificationStatus": "true"
            },
            "brand": "PAYPAL"
        },
        "type": "WALLET"
    }
}
```

## Body Parameters:
### Parameters:

#### beneId:
- Description: For each verification to have a unique reference
- Tags: string, Required

#### customerId:
- Description: Merchant customerId
- Tags: string, Required

#### beneDetails:
- Description: Json Object for bene details
- Value:
  - **Details**:
    - Value:
      - **WalletIdentifier**:
        - Description: Value related to beneficiary’s brand you are selecting.
          
          Example :- 
          
          **Brand                       WalletIdentifier** PAYPAL                   paypalId123
        - Value: *Do not pass any special characters in name
        - Tags: String, Mandatory
      - **Brand**:
        - Description: Values :- PAYPAL | VENMO
          
          PAYPAL used for Paypal payout.VENMO used for Venmo payout.
        - Tags: String, Required
      - **WalletIdentifierType**:
        - Description: Brand Type name of the walletRequired in case of Wallet only.
          
          Values :- PAYPAL_ID | EMAIL | PHONE | VENMO_IDPAYPAL_ID | EMAIL | PHONE —> For PaypalEMAIL | PHONE | VENMO_ID —> For Venmo
        - Tags: String, Mandatory
      - **PayeeAdditionalDetails**:
        - Description: Add additional Details
        - Value:
          - **Email**:
            - Description: Provide valid email
            - Tags: String
          - **Name**:
            - Description: Provide valid name
            - Tags: String
          - **Country**:
            - Description: Provide valid country
            - Tags: String
          - **State**:
            - Description: Provide valid State
            - Tags: String
          - **AccountVerificationStatus**:
            - Description: Provide account varification status
            - Tags: String
          - **PayerId**:
            - Description: Provide valid payer Id
            - Tags: String
        - Tags: Object
    - Tags: object
  - **Type**:
    - Description: Type of beneficiary validation. WALLET
    - Tags: string, Required
- Tags: object

#### preferredGateway:
- Description: Preffered gateway through which bene validation should happen
- Tags: string

#### metadata:
- Description: Additional metadata
- Tags: string

#### command:
- Description: Action recommended to Juspay on provided beneficiary details.‘create’ - this command will create the beneficiary at Juspay end.
- Tags: string

#### email:
- Description: Email id of beneficiary
- Tags: string

#### phone:
- Description: Phone number of beneficiary
- Tags: string
## API Responses:
### 400:

#### error:
- Tags: boolean

#### errorCode:
- Description: E05
- Tags: string

#### errorMessage:
- Description: Duplicate BeneId.
- Tags: string

#### userMessage:
- Description: Bad request
- Tags: string
